Subject: bug#35722: Filesystem error in the installer

From: Danny Milosavljevic <[email-masked]>
Date: Tue, 14 May 2019 20:42:57 +0200

Hi Graham,

On Tue, 14 May 2019 18:37:38 +0100
Graham Lee <[email-masked]> wrote:

> Thanks Danny, I appreciate you pushing a fix. I will find out how to make an updated installer and try again :).

> Just to clear up, though, I was going through the guided partitioning, so didn’t either select to format the partition or try to mount it. 

Thanks, good to know.  So the bug was much worse and would basically have
prevented anyone that has this kind of EFI from using our guided partitioning.

>But this means that I’m not sure the fixes you described above would have helped in my situation.

It would have.

(I still think that it would be better not to do the silly
"parted file system type -> user file system type" dance in the first place
but maybe there is a good reason for it.  In any case, it should work now)

For the record (and for future problems like that), I went and implemented
everything we need for fat16:

* Creating
* Mounting
* Parted file system type -> user file system type conversion
* Showing that file system type in the GUI

When actually that would have been enough:

* Parted file system type -> user file system type conversion

>Also I would expect to install EFI-based GRUB so if I want to do that from the GUIX installer (and not, say, boot some other GNU/Linux installer to install GRUB), I would need to mount the FAT16 partition

Yes.